Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05584 Gameplay Minor Always May 15, 2014, 21:08 Aug 3, 2016, 12:05
Tester haynor666 View Status Public Platform MAME (Official Binary)
Assigned To Tafoid Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver konamigx.cpp
Version 0.153 Fixed in Version 0.177 Build 64-bit
Summary 05584: rungun2, slamdnk2: during run mame produces several messages about unknown protection command
Description GXT4: unknown protection command 1b5c (PC=209948)
GXT4: unknown protection command 335e (PC=209948)
GXT4: unknown protection command 125c (PC=209948)
GXT4: unknown protection command 3a56 (PC=209948)
GXT4: unknown protection command 1b55 (PC=209948)
GXT4: unknown protection command 3357 (PC=209948)
GXT4: unknown protection command 1255 (PC=209948)
GXT4: unknown protection command 3a4f (PC=209948)
GXT4: unknown protection command 1b5c (PC=209948)
GXT4: unknown protection command 335e (PC=209948)
GXT4: unknown protection command 125c (PC=209948)
GXT4: unknown protection command 3a56 (PC=209948)
GXT4: unknown protection command 1b55 (PC=209948)
GXT4: unknown protection command 3357 (PC=209948)
GXT4: unknown protection command 1255 (PC=209948)
Steps To Reproduce just run game from cmd and after quit see what it posts or run mame rungun2 >>results.txt and after quit see file results.txt
Additional Information
Flags
Regression Version
Affected Sets / Systems rungun2, slamdnk2
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
3
User avatar
No.10712
Tafoid
Administrator
May 17, 2014, 21:35
I don't see that it's a bug, really. It is a slight annoyance to have such printf spam happening, but I don't see it effecting the game and causing any particular bugs. If there was a "contact MAMEDEV" note or something else, I'd might be more concerned.
User avatar
No.10713
haynor666
Tester
May 18, 2014, 08:32
It's after all some kind of information for mame devs.

During just 240 sek of run mame produces 1,4 Mb file with this message. Imagine how much data will post with normal run :)
User avatar
No.13010
Tafoid
Administrator
Jul 29, 2016, 18:01
I changed the source (since it isn't in active development currently) to comment the printf spam helping this game and others with performance from command-line.